This project has moved. For the latest updates, please go here.

SPServices 2014.02 Compatibility with SharePoint 2016

Nov 18, 2016 at 12:29 PM
I've seen some posts here and elsewhere suggesting that the 2014.02 version would work with 2013 SharePoint, am I correct to assume that you don't forsee problems working with 2016 as well? We'll be migrating from 2010 to 2016 and taking our javascript based products, hoping to not have to spend the cycles updating.
Coordinator
Nov 22, 2016 at 1:30 PM
@stephanieerin713:

That's a huge "it depends", based on how you are using SPServices. The SOAP services are still available in SharePoint 20106, but as you probably know, they were deprecated in 2013.

At this point, I recommend getting comfortable with REST calls and using them where ever possible, as they are the way forward. However, your existing code may migrate just fine. Just understand that the lifespan may be limited.

M.